Package org.apache.solr.common.params

# Enum Class MoreLikeThisParams.TermStyle

java.lang.Object
java.lang.Enum<MoreLikeThisParams.TermStyle>
org.apache.solr.common.params.MoreLikeThisParams.TermStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<MoreLikeThisParams.TermStyle>`, `java.lang.constant.Constable`

Enclosing interface:
  `MoreLikeThisParams`

public static enum MoreLikeThisParams.TermStyle extends Enum<MoreLikeThisParams.TermStyle>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DETAILS`
`LIST`
`NONE`

## Method Summary

Modifier and Type
Method
Description
`static MoreLikeThisParams.TermStyle`
`get(String p)`
`static MoreLikeThisParams.TermStyle`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MoreLikeThisParams.TermStyle[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final MoreLikeThisParams.TermStyle NONE

### LIST

public static final MoreLikeThisParams.TermStyle LIST

### DETAILS

public static final MoreLikeThisParams.TermStyle DETAILS

## Method Details

### values

public static MoreLikeThisParams.TermStyle[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MoreLikeThisParams.TermStyle valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static MoreLikeThisParams.TermStyle get(String p)